## swig 3.0.12

=== Examples/octave/class/Makefile ===
CXXSRCS = example.cxx

include $(SRCDIR)../example.mk

=== Examples/perl5/class/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       = -lm

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' perl5_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' perl5_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='myperl' INTERFACE='$(INTERFACE)' perl5_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' perl5_clean

=== Examples/python/exceptproxy/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    =
TARGET     = example
INTERFACE  = example.i
LIBS       = -lm
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' python_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='mypython' INTERFACE='$(INTERFACE)' python_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' python_clean

=== debian/changelog ===
swig (3.0.12-2) unstable; urgency=low

  * tracker.d.o: Update Vcs-* control fields to point to the new repository on
    salsa.d.o.
  * Remove build dependencies that are only required for testing
    the build (closes: #752938).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 27 Jan 2019 19:57:54 +0100

swig (3.0.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python-fix-function-cast-warnings.patch: Fix GCC8 warnings in generated
    Python code. (Closes: #897857)
  * python-fix-gcc8-strncpy-warning.patch: Fix more GCC8 warnings in generated
    Python code.
  * fix-gcc8-memset-warnings.patch: Fix GCC8 warnings in generated code for
    various languages.

 -- Olly Betts <olly@survex.com>  Fri, 10 Aug 2018 12:48:36 +1200

swig (3.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * octave4.4.patch: new patch (closes: #901504)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Jun 2018 14:25:41 +0200

swig (3.0.12-1) unstable; urgency=medium

  * New upstream release 3.0.12 (closes: #863848).
    + Includes support for php 7 (closes: #851251).
    + Corrects generation of R wrappers (closes: #868748).

  * Drop patch add-Octave-4.2-support.patch now included upstream.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 05 Sep 2017 18:29:41 +0000

swig (3.0.11-1) experimental; urgency=low

  * New upstream release 3.0.11. 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 04 Sep 2017 21:47:24 +0000

swig (3.0.10-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add octave 4.2 support. Closes: #868531, #736393

 -- Ole Streicher <olebole@debian.org>  Sun, 16 Jul 2017 21:06:41 +0200

=== debian/control ===
Source: swig
Section: interpreters
Priority: optional
Maintainer: Torsten Landschoff <torsten@debian.org>
Standards-Version: 3.9.5
Vcs-Git: https://salsa.debian.org/debian/swig.git
Vcs-Browser: https://salsa.debian.org/debian/swig
Homepage: http://www.swig.org/
Testsuite: autopkgtest
Build-Depends: dpkg-dev (>= 1.16.1~),
               bison,
               debhelper (>= 7.0),
               dh-autoreconf,
               libpcre3-dev

Package: swig
Architecture: any
Depends: swig3.0 (>= ${source:Version}), ${misc:Depends}
Multi-Arch: foreign
Suggests: swig-doc, swig-examples
Conflicts: swig2.0
Replaces: swig2.0
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, Tcl, Ruby, Python, Java,
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an
 interface for them to your favorite scripting language.
 .
 This is a dependency package providing the stable version of SWIG.

Package: swig3.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: swig3.0-examples, swig3.0-doc
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, Tcl, Ruby, Python, Java, 
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an 
 interface for them to your favorite scripting language.

Package: swig-examples
Architecture: all
Depends: swig3.0-examples (>= 3.0.0-1), ${misc:Depends}
Conflicts: swig2.0-examples
Replaces: swig2.0-examples
Description: Examples for applications of SWIG
 This is a dependency package providing the examples of the default
 version of SWIG in Debian.

Package: swig3.0-examples
Architecture: all
Depends: swig3.0, ${misc:Depends}
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig-doc
Architecture: all
Depends: swig3.0-doc (>= 3.0.0-1), ${misc:Depends}
Section: doc
Conflicts: swig2.0-doc
Replaces: swig2.0-doc
Description: HTML documentation for SWIG
 This is a dependency package providing the documentation of the default
 version of SWIG in Debian.

Package: swig3.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: HTML documentation for SWIG
 Contains the users' and developers' manuals for SWIG (Simplified 
 Wrapper Interface Generator) 2.0 in HTML format.

=== debian/tests/control ===
Tests: flatnested-crash
Depends: swig3.0

Test-Command: ccache-swig3.0 -V
Depends: swig3.0

Test-Command: ccache-swig -V
Depends: swig

## swig 4.0.1

=== Examples/lua/constants/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    =
TARGET     = example
INTERFACE  = example.i
LIBS       =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' lua_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' lua

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='mylua' INTERFACE='$(INTERFACE)' lua_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' lua_clean

=== Examples/python/doxygen/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       = -lm
SWIGOPT    = -doxygen

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' python_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' \
	TARGET='mypython' INTERFACE='$(INTERFACE)' python_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' python_clean
	rm -f example.html

=== debian/changelog ===
swig (4.0.1-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:08 +0100

swig (4.0.1-5) unstable; urgency=medium

  * Fix segmentation fault with empty docstrings triggered by ltt-control
    by applying upstream patch (closes: #951839).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 23 Feb 2020 21:41:34 +0100

swig (4.0.1-4) unstable; urgency=medium

  * Apply upstream patch for ruby2.7 support (closes: #951623).
  * This required another upstream patch which fixes global
    variables for Ruby.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 21 Feb 2020 13:28:59 +0100

swig (4.0.1-3) unstable; urgency=high

  * Fix invocation of ccache-swig4.0, the program transform logic was
    dropped from Makefile.in by upstream.
  * Actually use the hardening build flags for ccache. My last
    attempt did actually set CPPFLAGS correctly but I missed another
    assignment overriding the correct value.
  * Enable salsa.debian.org CI integration in the source package.
  * debian/gbp.conf: Added gbp (git build package) configuration file.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 20 Feb 2020 23:00:38 +0100

swig (4.0.1-2.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/: Replace all occurrences of swig3.0 with swig4.0.

  [ Ole Streicher ]
  * debian/swig.links: Update swig.links for version 4.0.
    (Closes: #951703)

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Feb 2020 14:46:05 -0500

swig (4.0.1-2) unstable; urgency=low

  * debian/control: Update Standards-Version to 4.5.0 (no changes).
  * Retarget to unstable.
  * debian/control: Mark swig, swig4.0-doc and swig4.0-examples as
    Multi-Arch: foreign as suggested by the multiarch hinter.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Feb 2020 21:13:39 +0100

swig (4.0.1-1) experimental; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass --host to ./configure
    (closes: #920734).

  [ Torsten Landschoff ]
  * New upstream release 4.0.1 (closes: #928375).

    + Create builddir/Source/CParse in configure phase and touch
      Source/parser.y to ensure that the parser is generated with the
      current bison package.

      No idea why builddir/Source/CParse is no longer created by
      running configure as in swig 3.0.12.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 18 Jan 2020 23:22:45 +0100

swig (3.0.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use PyObject_GC_UnTrack instead of the macro _PyObject_GC_UNTRACK,
    removed in Python 3.8. Closes: #942706.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 16:27:42 +0200

swig (3.0.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Hilko Bengen ]
  * Include all examples in the swig3.0-examples package (closes: #924487).

  [ Torsten Landschoff ]
  * Use CPPFLAGS for ccache build as well.

  [ Sébastien Villemot ]
  * octave5.patch: new patch, ensures Octave 5 compatibility (Closes: #941746).

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Oct 2019 21:26:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/swig.git
 Vcs-Browser: https://salsa.debian.org/debian/swig
 Homepage: http://www.swig.org/
@@ -14,8 +14,8 @@
                libpcre3-dev
 
 Package: swig
-Architecture: any
-Depends: swig3.0 (>= ${source:Version}), ${misc:Depends}
+Architecture: all
+Depends: swig4.0 (>= ${source:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Suggests: swig-doc, swig-examples
 Conflicts: swig2.0
@@ -30,11 +30,11 @@
  .
  This is a dependency package providing the stable version of SWIG.
 
-Package: swig3.0
+Package: swig4.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
-Suggests: swig3.0-examples, swig3.0-doc
+Suggests: swig4.0-examples, swig4.0-doc
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
  with other languages including Perl, Tcl, Ruby, Python, Java, 
@@ -45,23 +45,24 @@
 
 Package: swig-examples
 Architecture: all
-Depends: swig3.0-examples (>= 3.0.0-1), ${misc:Depends}
+Depends: swig4.0-examples (>= 3.0.0-1), ${misc:Depends}
 Conflicts: swig2.0-examples
 Replaces: swig2.0-examples
 Description: Examples for applications of SWIG
  This is a dependency package providing the examples of the default
  version of SWIG in Debian.
 
-Package: swig3.0-examples
+Package: swig4.0-examples
 Architecture: all
-Depends: swig3.0, ${misc:Depends}
+Depends: swig4.0, ${misc:Depends}
 Description: Examples for applications of SWIG
  Contains examples for applications of SWIG, a wrapper interface
  generator to integrate C code into scripting languages.
 
 Package: swig-doc
 Architecture: all
-Depends: swig3.0-doc (>= 3.0.0-1), ${misc:Depends}
+Multi-Arch: foreign
+Depends: swig4.0-doc (>= 3.0.0-1), ${misc:Depends}
 Section: doc
 Conflicts: swig2.0-doc
 Replaces: swig2.0-doc
@@ -69,8 +70,9 @@
  This is a dependency package providing the documentation of the default
  version of SWIG in Debian.
 
-Package: swig3.0-doc
+Package: swig4.0-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: HTML documentation for SWIG

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Support building from Subversion repository
export DH_ALWAYS_EXCLUDE=.svn

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# XXX: patch to pike detection submitted upstream, need to adapt
# configure args
MAKEOPTS =
CONFIGURE_ARGS := \
	--prefix=/usr --mandir=/usr/share/man	\
	--with-swiglibdir=/usr/share/swig4.0		\
    --program-suffix=4.0

DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
NO_PACKAGES :=

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_autoreconf ./autogen.sh
	dh_auto_configure --builddirectory=builddir -- $(CONFIGURE_ARGS)

	# Workaround: Enforce rebuilding the bison parser and ensure that the
	# build directory (where generated sources are put) exists.
	cd builddir && mkdir -p Source/CParse
	touch Source/CParse/parser.y

	touch configure-stamp

build: build-indep build-arch

build-indep:	build-stamp
build-arch:	build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd builddir && $(MAKE) $(MAKEOPTS)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install-stamp
	rm -rf builddir
	dh_autoreconf_clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig4.0 install

	touch install-stamp

# Build architecture-independent files here.
# We don't need a dependency on build or install since these are the plain
# documentation files as included in the distribution.
binary-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installexamples -i
	cd debian/swig4.0-examples/usr/share/doc/swig4.0-examples && mv examples/* . && rmdir examples
	cp debian/swig4.0-examples.override debian/swig4.0-examples/usr/share/lintian/overrides/swig4.0-examples
	perl -pi -e 's,^SWIG.*=.*$$,SWIG      = swig,' \
		`find debian/swig4.0-examples/usr/share/doc/swig4.0-examples -name Makefile`
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a $(NO_PACKAGES_ARGS) README
	dh_installexamples -a $(NO_PACKAGES_ARGS)
	dh_installmenu -a $(NO_PACKAGES_ARGS)
#	dh_installemacsen -a $(NO_PACKAGES_ARGS)
#	dh_installinit -a $(NO_PACKAGES_ARGS)
	dh_installcron -a $(NO_PACKAGES_ARGS)
	dh_installman -p swig4.0 debian/swig4.0.1
	dh_install -a --sourcedir=$(CURDIR)
#	dh_undocumented
	dh_installchangelogs -a -Nswig4.0 $(NO_PACKAGES_ARGS) CHANGES
	dh_installchangelogs -pswig4.0 $(NO_PACKAGES_ARGS)
	dh_compress -a $(NO_PACKAGES_ARGS) -X.pdf
	dh_link -a $(NO_PACKAGES_ARGS)
	dh_strip -a $(NO_PACKAGES_ARGS)
	dh_fixperms -a $(NO_PACKAGES_ARGS)
	dh_makeshlibs -a $(NO_PACKAGES_ARGS)
	dh_installdeb -a $(NO_PACKAGES_ARGS)
	dh_shlibdeps -a $(NO_PACKAGES_ARGS)
	dh_gencontrol -a $(NO_PACKAGES_ARGS)
	dh_md5sums -a $(NO_PACKAGES_ARGS)
	dh_builddeb -a $(NO_PACKAGES_ARGS)

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## swig 4.0.2

=== Examples/android/extend/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
TARGET     = example
INTERFACE  = example.i
INTERFACEDIR = jni/
PACKAGEDIR = $(SRCDIR)src/org/swig
PACKAGENAME= org.swig.extendexample
SWIGOPT    = -package $(PACKAGENAME) -outdir $(PACKAGEDIR)/extendexample
PROJECTNAME= SwigExtend
TARGETID  = 1
#INSTALLOPTIONS = -s # To install on SD Card

check: build

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' INTERFACEDIR='$(INTERFACEDIR)' \
	PROJECTNAME='$(PROJECTNAME)' TARGETID='$(TARGETID)' android_cpp

install:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' INSTALLOPTIONS='$(INSTALLOPTIONS)' PROJECTNAME='$(PROJECTNAME)' \
	PACKAGEDIR='$(PACKAGEDIR)' PACKAGENAME='$(PACKAGENAME)' android_install

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' PROJECTNAME='$(PROJECTNAME)' \
	PACKAGEDIR='$(PACKAGEDIR)' INTERFACEDIR='$(INTERFACEDIR)' android_clean

=== debian/changelog ===
swig (4.0.2-1) unstable; urgency=medium

  * New upstream release 4.0.2.
  * Drop upstream patches that are included in release 4.0.2:
    + fix_empty_docstrings.patch
    + ruby-globalmodule.patch
    + ruby2.7-support
  * Raise debhelper compat level from 9 to 10 (now configured in
    the control file instead of debian/compat).
    + Drop unneeded build-dependency on dh-autoreconf (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 14 Nov 2020 23:10:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Testsuite: autopkgtest
 Build-Depends: dpkg-dev (>= 1.16.1~),
                bison,
-               debhelper (>= 7.0),
-               dh-autoreconf,
+               debhelper (>= 10~),
+               debhelper-compat (= 10),
                libpcre3-dev
 
 Package: swig

=== debian/tests/control ===
Tests: flatnested-crash
Depends: swig4.0

Test-Command: ccache-swig4.0 -V
Depends: swig4.0

Test-Command: ccache-swig -V
Depends: swig

## swig 4.1.0

=== debian/changelog ===
swig (4.1.0-0~kolab1) unstable; urgency=medium

  * Release of 4.1.0

 -- Christian Mollekopf <mollekopf@apheleia-it>  Wed,  10 Nov 2022 13:13:13 +0200

swig (3.0.12-0~kolab1) unstable; urgency=medium

  * Release of 3.0.12

 -- Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>  Thu,  4 May 2017 13:13:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: interpreters
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/debian/swig.git
-Vcs-Browser: https://salsa.debian.org/debian/swig
+Standards-Version: 3.9.5
+Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig4.0
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig4.0
 Homepage: http://www.swig.org/
 Testsuite: autopkgtest
 Build-Depends: dpkg-dev (>= 1.16.1~),
                bison,
-               debhelper (>= 10~),
-               debhelper-compat (= 10),
-               libpcre3-dev
+               debhelper (>= 7.0),
+               dh-autoreconf,
+               libpcre2-dev,
 
 Package: swig
-Architecture: all
+Architecture: any
 Depends: swig4.0 (>= ${source:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Suggests: swig-doc, swig-examples
@@ -61,7 +61,6 @@
 
 Package: swig-doc
 Architecture: all
-Multi-Arch: foreign
 Depends: swig4.0-doc (>= 3.0.0-1), ${misc:Depends}
 Section: doc
 Conflicts: swig2.0-doc
@@ -72,7 +71,6 @@
 
 Package: swig4.0-doc
 Architecture: all
-Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: HTML documentation for SWIG

=== debian/rules ===
--- 
+++ 
@@ -18,22 +18,30 @@
 MAKEOPTS =
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
-	--with-swiglibdir=/usr/share/swig4.0		\
-    --program-suffix=4.0
+    --without-ocaml \
+    --with-python3=python3 \
+    --with-2to3=2to3 \
+    --with-php \
+    --without-perl5 \
+    --without-tcl \
+    --without-java \
+    --without-r \
+    --without-go \
+    --without-guile \
+    --disable-ccache
+
 
 DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-NO_PACKAGES :=
+
+NO_PACKAGES_ARGS = $(foreach p,$(NO_PACKAGES),-N$(p))
+
 
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_autoreconf ./autogen.sh
-	dh_auto_configure --builddirectory=builddir -- $(CONFIGURE_ARGS)
-
-	# Workaround: Enforce rebuilding the bison parser and ensure that the
-	# build directory (where generated sources are put) exists.
-	cd builddir && mkdir -p Source/CParse
-	touch Source/CParse/parser.y
-
+	mkdir -p builddir
+	PHP4INC="`php-config --includes`" \
+	cd builddir && ../configure $(CONFIGURE_ARGS)
 	touch configure-stamp
 
 build: build-indep build-arch
@@ -44,7 +52,6 @@
 build-stamp: configure-stamp
 	dh_testdir
 	cd builddir && $(MAKE) $(MAKEOPTS)
-
 	touch build-stamp
 
 clean:
@@ -69,7 +76,7 @@
 # Build architecture-independent files here.
 # We don't need a dependency on build or install since these are the plain
 # documentation files as included in the distribution.
-binary-indep:
+binary-indep:	
 	dh_testdir
 	dh_testroot
 	dh_prep -i

## swig 4.2.0

=== debian/changelog ===
swig (4.2.0-2ubuntu1) noble; urgency=medium

  * d/p/fix-subversion-build-with-ruby3.2.patch: backport upstream patch to
    fix subversion FTBFS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Feb 2024 13:56:36 -0300

swig (4.2.0-2) unstable; urgency=medium

  * d/p/octave-9.patch: New patch
  * d/control: Add myself to the list of Uploaders

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Feb 2024 16:42:19 -0300

swig (4.2.0-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream release 4.2.0: Update patches.
    + Drop d/p/octave-8.1.patch (applied upstream).
    + Drop d/p/substitute-libv8-dev-with-libnode-dev.patch (applied upstream).

  [ Torsten Landschoff ]
  * Drop versioned packages swig4.0*, add conflicts and replaces.
  * Release to unstable (closes: #1061392, #1060801).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 26 Jan 2024 18:15:05 +0100

swig (4.1.1-1) unstable; urgency=low

  * New upstream release 4.1.1.
  * Acknowledge non-maintainer uploads. Thanks to
    Rafael Laboissière, Jochen Sprickerhof and Bastian Germann.

  [ Rafael Laboissière ]
  * Use debhelper to install overrides, drop ancient override for
    GIFPlot example.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 21 Jan 2024 19:32:51 +0100

swig (4.1.0-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Update octave files to work with Octave v8 (Closes: #1035684)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jun 2023 02:06:37 -0300

swig (4.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert upstream patch for Py_LIMITED_API (Closes: #1024555)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 09:11:55 +0100

swig (4.1.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/copyright: Represent actual source URL
  * Mangle pre-release versions for correct ordering
  * New upstream version 4.1.0 (Closes: #1003479)
  * Drop upstream patches

  [ Debian Janitor ]
  * Apply multi-arch hints. + swig4.0-examples: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 31 Oct 2022 13:05:40 +0100

swig (4.0.2-2) unstable; urgency=medium

  [ Salman Mohammadi ]
  * Update documentation to reference libnode-dev instead of libv8-dev.
    The latter is a virtual package provided by libnode-dev.

  [ Jan Kiszka ]
  * Make swig compatible with Node 12 by applying 4 relevant upstream
    commits (closes: #990361).

  [ Torsten Landschoff ]
  * Apply upstream patch for using PCRE2 instead of the legacy PCRE
    library (closes: #999948).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 05 Feb 2022 23:46:44 +0100

=== debian/control ===
Source: swig
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/swig.git
Vcs-Browser: https://salsa.debian.org/debian/swig
Homepage: http://www.swig.org/
Build-Depends: dpkg-dev (>= 1.16.1~),
               bison,
               debhelper (>= 10~),
               debhelper-compat (= 10),
               libpcre2-dev

Package: swig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: swig-doc, swig-examples
Conflicts: swig4.0
Replaces: swig4.0
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, Tcl, Ruby, Python, Java,
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an
 interface for them to your favorite scripting language.

Package: swig-examples
Architecture: all
Depends: ${misc:Depends}
Conflicts: swig4.0-examples
Replaces: swig4.0-examples
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Conflicts: swig4.0-doc
Replaces: swig4.0-doc
Description: HTML documentation for SWIG
 Contains the users' and developers' manuals for SWIG (Simplified 
 Wrapper Interface Generator) in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -12,36 +12,28 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 # XXX: patch to pike detection submitted upstream, need to adapt
 # configure args
 MAKEOPTS =
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
-    --without-ocaml \
-    --with-python3=python3 \
-    --with-2to3=2to3 \
-    --with-php \
-    --without-perl5 \
-    --without-tcl \
-    --without-java \
-    --without-r \
-    --without-go \
-    --without-guile \
-    --disable-ccache
+	--with-swiglibdir=/usr/share/swig4.0		\
+    --program-suffix=4.0
 
-
-DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-NO_PACKAGES_ARGS = $(foreach p,$(NO_PACKAGES),-N$(p))
-
+NO_PACKAGES :=
 
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_autoreconf ./autogen.sh
-	mkdir -p builddir
-	PHP4INC="`php-config --includes`" \
-	cd builddir && ../configure $(CONFIGURE_ARGS)
+	dh_auto_configure --builddirectory=builddir -- $(CONFIGURE_ARGS)
+
+	# Workaround: Enforce rebuilding the bison parser and ensure that the
+	# build directory (where generated sources are put) exists.
+	cd builddir && mkdir -p Source/CParse
+	touch Source/CParse/parser.y
+
 	touch configure-stamp
 
 build: build-indep build-arch
@@ -52,6 +44,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 	cd builddir && $(MAKE) $(MAKEOPTS)
+
 	touch build-stamp
 
 clean:
@@ -69,24 +62,24 @@
 	dh_prep
 	dh_installdirs
 
-	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig4.0 install
+	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig install
 
 	touch install-stamp
 
 # Build architecture-independent files here.
 # We don't need a dependency on build or install since these are the plain
 # documentation files as included in the distribution.
-binary-indep:	
+binary-indep:
 	dh_testdir
 	dh_testroot
 	dh_prep -i
 	dh_installdirs -i
 	dh_installdocs -i
 	dh_installexamples -i
-	cd debian/swig4.0-examples/usr/share/doc/swig4.0-examples && mv examples/* . && rmdir examples
-	cp debian/swig4.0-examples.override debian/swig4.0-examples/usr/share/lintian/overrides/swig4.0-examples
+	cd debian/swig-examples/usr/share/doc/swig-examples && mv examples/* . && rmdir examples
+	dh_lintian -i
 	perl -pi -e 's,^SWIG.*=.*$$,SWIG      = swig,' \
-		`find debian/swig4.0-examples/usr/share/doc/swig4.0-examples -name Makefile`
+		`find debian/swig-examples/usr/share/doc/swig-examples -name Makefile`
 	dh_installchangelogs -i
 	dh_link -i
 	dh_compress -i -X.pdf
@@ -106,11 +99,11 @@
 #	dh_installemacsen -a $(NO_PACKAGES_ARGS)
 #	dh_installinit -a $(NO_PACKAGES_ARGS)
 	dh_installcron -a $(NO_PACKAGES_ARGS)
-	dh_installman -p swig4.0 debian/swig4.0.1
+	dh_installman -p swig debian/swig.1
 	dh_install -a --sourcedir=$(CURDIR)
 #	dh_undocumented
-	dh_installchangelogs -a -Nswig4.0 $(NO_PACKAGES_ARGS) CHANGES
-	dh_installchangelogs -pswig4.0 $(NO_PACKAGES_ARGS)
+	dh_installchangelogs -a -Nswig $(NO_PACKAGES_ARGS) CHANGES
+	dh_installchangelogs -pswig $(NO_PACKAGES_ARGS)
 	dh_compress -a $(NO_PACKAGES_ARGS) -X.pdf
 	dh_link -a $(NO_PACKAGES_ARGS)
 	dh_strip -a $(NO_PACKAGES_ARGS)

## swig 4.2.1

=== debian/changelog ===
swig (4.2.1-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 4.2.1 (Closes: #1064680)
  * d/p/octave-9.patch: Drop patch (applied upstream)
  * Use the dh command sequencer
    + d/rules: Revamp the file, keeping only target "%:" and
      "override_dh_autoreconf"
    + d/swig-doc.doc-base: Add ".gz" as sufix of the PDF file
    + d/swig-examples.dirs: Drop file
    + d/swig-examples.examples: Set contents to "Examples/*"
    + d/swig-examples.links: Drp file
    + d/swig.dirs: Drop file
    + d/swig.install: New file
    + d/swig.links: Drop file
    + d/swig.manpages: New file
  * Proper installation of upstream Changelog and NEWS files
    + d/rules: Override command dh_installchangelogs to prevent the
      creation of changelog.gz file
    + d/swig.docs: Install upstream files CHANGES and CHANGES.current
      (Changelogs), and RELEASENOTES (NEWS file)
    + d/swig.links: Link NEWS.gz to RELEASENOTES.gz
  * d/swig-doc.doc-base:
    + Get rid of "4.0" version in doc title
    + Fix paths for documentation files
  * d/rules: Make build reproducible.
    After build, change the value of the ROOT_DIR variable in
    examples/Makefile, in order to avoid the full build path as value.
    Also, do not compress the files in the examples directory.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Name (from
    ./configure).
  * Update standards version to 4.6.2, no changes needed.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 Mar 2024 07:26:01 -0300

## swig 4.3.0

=== Examples/java/native/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       =
TARGET     = example
INTERFACE  = example.i
SWIGOPT    =
JAVASRCS   = *.java

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' java_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' java
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' JAVASRCS='$(JAVASRCS)' JAVAFLAGS='$(JAVAFLAGS)' java_compile

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' java_clean

=== Examples/lua/exception/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    =
TARGET     = example
INTERFACE  = example.i
LIBS       = -lm

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' lua_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' lua_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='mylua' INTERFACE='$(INTERFACE)' lua_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' lua_clean

=== Examples/ocaml/stl/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       =
TARGET     = example
INTERFACE  = example.i
PROGFILE   = runme.ml

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' ocaml_run

build: static

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	PROGFILE='$(PROGFILE)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	ocaml_core
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	PROGFILE='$(PROGFILE)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	ocaml_static_cpp

dynamic:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	PROGFILE='$(PROGFILE)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	ocaml_dynamic_cpp

toplevel:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	PROGFILE='$(PROGFILE)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	ocaml_static_cpp_toplevel

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' ocaml_clean

=== Examples/python/class/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       = -lm

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' python_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='mypython' INTERFACE='$(INTERFACE)' python_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' python_clean

=== Examples/python/contract/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       = example.c
TARGET     = example
INTERFACE  = example.i
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' python

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='mypython' INTERFACE='$(INTERFACE)' python_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' python_clean

=== Examples/ruby/constants/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       =
TARGET     = example
INTERFACE  = example.i

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' ruby_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' ruby

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='myruby' INTERFACE='$(INTERFACE)' ruby_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' ruby_clean

=== Examples/tcl/constants/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       =
TARGET     = my_tclsh
DLTARGET   = example
INTERFACE  = example.i

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' tcl_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(DLTARGET)' INTERFACE='$(INTERFACE)' tcl

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' tclsh

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' tcl_clean

=== Examples/python/import_packages/same_modnames1/Makefile ===
TOP        = ../../..
LIBS       =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_run

build:
	$(MAKE) -C pkg1 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build
	$(MAKE) -C pkg2 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build

static:
	$(MAKE) -C pkg1 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static
	$(MAKE) -C pkg2 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_clean
	$(MAKE) -C pkg1 clean
	$(MAKE) -C pkg2 clean

=== Examples/python/import_packages/split_modules/Makefile ===
TOP        = ../../..
LIBS       =

subdirs = vanilla vanilla_split


check: build
	for s in $(subdirs); do \
		$(MAKE) -C $$s check || exit 1; \
	done

build:
	for s in $(subdirs); do \
		$(MAKE) -C $$s SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build || exit 1; \
	done

static:
	for s in $(subdirs); do \
		$(MAKE) -C $$s SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static || exit 1; \
	done

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_clean
	for s in $(subdirs); do \
		$(MAKE) -C $$s clean || exit 1; \
	done

=== Examples/python/import_packages/from_init3/py2/pkg2/Makefile ===
TOP        = ../../../../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SWIGOPT    =
LIBS       =

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='bar' INTERFACE='bar.i' python_cpp
	$(MAKE) -C pkg3 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='bar' INTERFACE='bar.i' python_cpp
	$(MAKE) -C pkg3 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='bar' python_clean
	$(MAKE) -C pkg3 clean

=== Examples/python/import_packages/split_modules/vanilla/pkg1/Makefile ===
TOP        = ../../../../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SWIGOPT    =
LIBS       =

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' python_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' TARGET='foo' INTERFACE='foo.i' python_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='foo' python_clean

=== Examples/python/import_packages/from_init3/py2/pkg2/pkg3/Makefile ===
TOP        = ../../../../../..
SWIGOPT    =
LIBS       =

build:
	$(MAKE) -C pkg4 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build

static:
	$(MAKE) -C pkg4 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_clean
	$(MAKE) -C pkg4 clean

=== debian/changelog ===
swig (4.3.0-2ubuntu1) resolute; urgency=medium

  * Adopt patches from Fedora for Python 3.14 support

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Oct 2025 09:32:39 +0000

swig (4.3.0-2) unstable; urgency=medium

  * d/p/add-required-c-header.patch: New patch.
    This is necessary to avoid the FTBFS of the plplot package. Thanks
    to Sébastien Villemot <sebastien@debian.org> for indicating the
    solution (Closes: #1114586)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Sep 2025 14:05:20 -0300

swig (4.3.0-1) unstable; urgency=medium

  * Acknowledge NMU by doko, thanks, Matthias.
  * Repair autopkgtests: depend on right swig version. The tests unfortunately
    had a dependency on the old swig4.0 package which is now gone.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 25 Jan 2025 21:58:10 +0100

swig (4.3.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Python 3.13 support). Closes: #1090722.
  * Fix issue3058, precedence of casts.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Dec 2024 17:24:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/swig.git
 Vcs-Browser: https://salsa.debian.org/debian/swig
-Homepage: http://www.swig.org/
+Homepage: https://www.swig.org/
 Build-Depends: dpkg-dev (>= 1.16.1~),
                bison,
                debhelper (>= 10~),
-               debhelper-compat (= 10),
+               debhelper-compat (= 13),
                libpcre2-dev
 
 Package: swig
@@ -23,8 +23,8 @@
 Replaces: swig4.0
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
- with other languages including Perl, Tcl, Ruby, Python, Java,
- Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
+ with these languages: C#, D, Go, Guile, Java, JavaScript, Lua,
+ Mzscheme, OCaml, Octave, Perl, PHP, Python, R, Ruby, Scilab, and Tcl.
  .
  Swig takes a set of ANSI C/C++ declarations and generates an
  interface for them to your favorite scripting language.
@@ -46,5 +46,5 @@
 Conflicts: swig4.0-doc
 Replaces: swig4.0-doc
 Description: HTML documentation for SWIG
- Contains the users' and developers' manuals for SWIG (Simplified 
+ Contains the users' and developers' manuals for SWIG (Simplified
  Wrapper Interface Generator) in HTML format.
